summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /app-portage/world-mv
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'app-portage/world-mv')
-rw-r--r--app-portage/world-mv/Manifest1
-rw-r--r--app-portage/world-mv/metadata.xml16
-rw-r--r--app-portage/world-mv/world-mv-3.14.ebuild37
3 files changed, 54 insertions, 0 deletions
diff --git a/app-portage/world-mv/Manifest b/app-portage/world-mv/Manifest
new file mode 100644
index 00000000..25e8b273
--- /dev/null
+++ b/app-portage/world-mv/Manifest
@@ -0,0 +1 @@
+DIST world-mv-3.14.tar.gz 3480 SHA256 e81e5ffaf6f4d9403e2b87d4fb55ea298e4b0cda1e05ae3e6d1edc7396d894f1 SHA512 8350c1f2f5213ceac326e41c1652708317e510b4ff007a7a0e35af112307d7978491c3eaf518df6d35e28f699e13a31079a666340e5ef663b20cc53400cbaf98 WHIRLPOOL 2ca466368424fc72c7657146de8bb9137754a329a29648297e3fa2b2e6773cbd1a7618196b564c095cbb4930caa8b38e27c2b6b60b1ee60cd7f8d27a312bb8cc
diff --git a/app-portage/world-mv/metadata.xml b/app-portage/world-mv/metadata.xml
new file mode 100644
index 00000000..8ba273b2
--- /dev/null
+++ b/app-portage/world-mv/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/world</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/world-mv/world-mv-3.14.ebuild b/app-portage/world-mv/world-mv-3.14.ebuild
new file mode 100644
index 00000000..d1eff415
--- /dev/null
+++ b/app-portage/world-mv/world-mv-3.14.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+mPN="${PN%-*}"
+DESCRIPTION="Organize your world file and find installed packages or differences to @world"
+HOMEPAGE="https://github.com/vaeth/world/"
+SRC_URI="https://github.com/vaeth/${mPN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${mPN}-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}/${mPN}-${PV}"
+
+src_prepare() {
+ if use prefix
+ then sed -i \
+ -e "s'\${EPREFIX}'\\'${EPREFIX}\\''" \
+ -- "${mPN}" || die
+ else sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${mPN}" || die
+ fi
+ epatch_user
+}
+
+src_install() {
+ dobin "${mPN}"
+ insinto /usr/share/zsh/site-functions
+ doins _"${mPN}"
+}